=== config/systems/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                                                                       ##
##  Makefile for config directory                                        ##
##                                                                       ##
###########################################################################
TOP=../..
DIRNAME=config/systems

SYSTEMS =					\
	Linux.mak				\
	RedHatLinux.mak				\
	DebianGNULinux.mak			\
	alpha_Linux.mak				\
	alpha_OSF1V4.0.mak			\
	alpha_RedHatLinux.mak			\
	hp9000_HP-UX.mak			\
	hp9000_HP-UXB.10.mak			\
	ip_IRIX.mak				\
	ip_IRIX5.3.mak				\
	ip_IRIX6.3.mak				\
	ip_IRIX6.4.mak				\
	ip_IRIX646.4.mak			\
	ix86_CYGWIN1.0.mak			\
	ix86_CYGWIN1.1.mak			\
	ix86_CYGWIN1.3.mak                      \
	ix86_CYGWIN1.4.mak                      \
	ix86_CYGWIN1.5.mak			\
	ix86_CYGWIN1.7.mak			\
	ix86_CYGWIN20.1.mak			\
	ix86_CYGWIN32.mak			\
	ix86_CYGWIN324.0.mak			\
	ix86_Darwin.mak			\
	ix86_FreeBSD.mak			\
	ix86_FreeBSD2.1.mak			\
	ix86_FreeBSD2.2.mak			\
	ix86_FreeBSD3.0.mak			\
	ix86_FreeBSD3.1.mak			\
	ix86_FreeBSD3.2.mak			\
	ix86_FreeBSD3.3.mak			\
	ix86_FreeBSD4.0.mak			\
	ix86_OS22.mak				\
	ix86_RedHatLinux4.0.mak			\
	ix86_RedHatLinux4.1.mak			\
	ix86_RedHatLinux4.2.mak			\
	ix86_RedHatLinux5.0.mak			\
	ix86_RedHatLinux5.1.mak			\
	ix86_RedHatLinux5.2.mak			\
	ix86_RedHatLinux6.0.mak			\
	ix86_RedHatLinux6.1.mak			\
	ix86_RedHatLinux6.2.mak			\
	ix86_RedHatLinux7.0.mak			\
	ix86_SunOS5.5.mak			\
	ix86_SunOS5.6.mak			\
	ix86_SunOS5.7.mak			\
	ix86_SunOS5.8.mak			\
	ix86_SunOS5.mak				\
	rs6000_AIX4.1.mak			\
	sparc_SunOS4.1.mak			\
	sparc_SunOS4.mak			\
	sparc_SunOS5.5.mak			\
	sparc_SunOS5.6.mak			\
	sparc_SunOS5.7.mak			\
	sparc_SunOS5.8.mak			\
	sparc_SunOS5.9.mak			\
	sparc_SunOS5.mak			\
	sparc_unknown.mak			\
	unknown_DebianGNULinux.mak		\
	unknown_Linux.mak			\
	unknown_RedHatLinux.mak			\
        power_macintosh_Darwin.mak              \
	unknown_unknown.mak			\
	x86_64_Darwin.mak


FILES = Makefile default.mak $(SYSTEMS) 

include $(TOP)/config/common_make_rules
