=== debian/changelog ===
speech-tools (1:2.4~release-6) unstable; urgency=medium

  * Use canonical anonscm vcs URL.
  * control: Update maintainer mailing list.
  * control: Remove libaudiofile-dev build-dependency, now
    unused. Closes: Bug#857667
  * patches/gcc-6: Do not hardcode gcc version. Closes: Bug#871089
  * control: Bump Standards-Version to 4.1.1 (no change)
  * rules: Remove reference to former -dbg packages.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Oct 2017 17:34:44 +0200

speech-tools (1:2.4~release-5) unstable; urgency=medium

  * patches/timestamp: Really fix reproducibility by forcing C locale date.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 03 Oct 2016 20:21:34 +0200

speech-tools (1:2.4~release-4) unstable; urgency=medium

  * patches/timestamp: Fix reproducibility by forcing C locale date.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 02 Oct 2016 14:31:09 +0200

speech-tools (1:2.4~release-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 3.9.8 (no change)
  * patches/gcc-6: Add -fno-delete-null-pointer-checks option since
    speech-tools assumes 'this' can be NULL.

  [ Chris Lamb ]
  * patches/timestamp: Fix reproducible build. Closes: Bug#831583

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Sep 2016 19:00:30 +0200

speech-tools (1:2.4~release-2) unstable; urgency=medium

  * control: Remove conflict/replace libestools1.2c102, speech-tools1: the
    latter has never been in Debian, the former does not actually conflict
    with the current package.
  * control: Drop multiarch-support pre-depend.
  * rules: Split override_dh_auto_install into override_dh_auto_install-arch
    and override_dh_auto_install-indep. Closes: #806110
  * rules: Set ddeb-migration.
  * control: Depend on debhelper 9.20150628 for ddeb-migration.
  * patches/timestamp: Use SOURCE_DATE_EPOCH for build timestamp.
  * control: Bump Standards-Version to 3.9.7 (no change).
  * rules: Pass -n to gzip to avoid timestamp in gzipped manual.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Feb 2016 01:10:56 +0100

speech-tools (1:2.4~release-1) unstable; urgency=medium

  [ Sergio Oller ]
  * New upstream version 2.4-release
    - Rename libestools2.1 into 2.4 accordingly.
    - Rename libestools2.1-dev into libestools-dev.
  * Removed README.source (Not needed)

  [ Samuel Thibault ]
  * control: Set maintainer to debian-accessibility team.  Add myself as
    uploader.
  * watch: Generalize URL.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 May 2015 18:09:43 +0200

speech-tools (1:2.1~release-8) unstable; urgency=medium

  [ Samuel Thibault ]
  * Team upload.

  [ Sergio Oller ]
  * Use dh with debian/compat=9 for hardening
     - Drop Build-depends: hardening-wrapper
     - Honor CFLAGS, CXXFLAGS, LDFLAGS
     - Use dh --with autoreconf
  * Add patch wrong-default-declaration.diff by Alexander to be able to
    build with clang. Closes: #756335

 -- Samuel Thibault <sthibault@debian.org>  Fri, 22 Aug 2014 02:21:54 +0200

speech-tools (1:2.1~release-7) unstable; urgency=low

  [ Samuel Thibault ]
  * Team upload.
  * rules: Remove config/config on clean.
  * Bump Standards-Version to 3.9.5 (no changes).
  * patches/doc-doc.diff: Fix build when libestools is not installed yet.
  * rules: Do not install refman.pdf, it does not build.

  [ Sergio Oller ]
  * EST_Tokenstream: Add support to read from istream to reduce
    Festival HTS disk input/output usage.
  * Add several methods to EST_WaveFile and EST_Wave to write waves
    by parts (header and data separately) in order improve text2wave
    performance in festival package on long texts.
  * rules: dh_auto_clean must depend on dh_auto_configure to clean safely.
  * Check fread worked when loading files: (Closes: #715728, #716618,
    #716578, #716193, #716464)
  * Build -dbg packages.
  * Build speech-tools-doc package.
  * Allow "-pc LONGEST" in ch_wave. (LP: #723854)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 20 Apr 2014 02:44:41 +0200
